1. API reference
  2. Workflows

List workflows

GEThttps://howdybell.com/api/v1/workflows

Returns a paginated list of workflows available in the specified location. Use the cursor parameter to navigate through large result sets.

Parameters

  • location_idintegerRequiredquery

    The location to work in. Must belong to your workspace.

  • cursorstringquery

    The cursor for pagination.

Responses

200

  • dataarray of string
  • next_cursorstring
RequestcURL
curl -X GET "https://howdybell.com/api/v1/workflows?location_id=1" \
  -H "Authorization: Bearer $HOWDYBELL_TOKEN" \
  -H "Accept: application/json" \
Response200
{
  "data": [
    {
      "id": 4,
      "name": "Test drive follow-up",
      "status": "draft",
      "recipe_key": null,
      "updated_at": "2026-09-29T15:04:32.000000Z"
    },
    {
      "id": 3,
      "name": "Test drive follow-up",
      "status": "draft",
      "recipe_key": null,
      "updated_at": "2026-09-29T15:04:11.000000Z"
    }
  ],
  "next_cursor": null
}
List workflows (GET /api/v1/workflows) | HowdyBell Developers